import request from '@/utils/request'

/**
 * 获取告警统计数据
 * @param {*} month 格式为yyyy-MM
 * @returns 
 */
export function getAlarmStats(month) {
  return request({
    url: '/alarm/report/stats?month=' + month,
    method: 'get'
  })
}
/**
 * 导出告警数据
 * @param {*} month 格式为yyyy-MM
 * @returns 
 */
export function exportAlarmData(month) {
  return request({
    url: '/alarm/export?month=' + month,
    method: 'get',
    responseType: 'blob'
  })
}






/**
 * 获取告警统计数据
 * @param {*} month 格式为yyyy-MM
 * @returns 
 */
export function getNewAlarmStats(month) {
  return request({
    url: '/dashboard/data?month=' + month,
    method: 'get'
  })
}


// /dashboard/export
/**
 * 导出告警数据
 * @param {*} month 格式为yyyy-MM
 * @returns 
 */
export function exportNewAlarmData(month) {
  return request({
    url: '/dashboard/export?month=' + month,
    method: 'get',
    responseType: 'blob'
  })
}
